Skip to content
Back to top
View this page

# XEP-0128: Service Discovery Extensions

class slixmpp.plugins.xep_0128.XEP_0128(xmpp, config=None)

  XEP-0128: Service Discovery Extensions

  Allow the use of data forms to add additional identity information to disco#info results.

  Also see <http://www.xmpp.org/extensions/xep-0128.html>.

  Variables:

    - disco – A reference to the XEP-0030 plugin.

    - static – Object containing the default set of static node handlers.

  add_extended_info(jid=None, node=None, **kwargs)

    Add additional, extended identity information to a node.

    Changed in version 1.8.0: This function now returns a Future.

    Parameters:

      - jid – The JID to modify.

      - node – The node to modify.

      - data – Either a form, or a list of forms to add as extended information.

    Return type:

      `Future`

  del_extended_info(jid=None, node=None, **kwargs)

    Remove all extended identity information to a node.

    Changed in version 1.8.0: This function now returns a Future.

    Parameters:

      - jid (`JID` | `None`) – The JID to modify.

      - node (`str` | `None`) – The node to modify.

    Return type:

      `Future`

  dependencies: ClassVar[Set[str]] = {'xep_0004', 'xep_0030'}

    Some plugins may depend on others in order to function properly. Any plugin names included in `dependencies` will be initialized as needed if this plugin is enabled.

  description: str = 'XEP-0128: Service Discovery Extensions'

    A longer name for the plugin, describing its purpose. For example, a plugin for XEP-0030 would use ‘Service Discovery’ as its description value.

  name: str = 'xep_0128'

    A short name for the plugin based on the implemented specification. For example, a plugin for XEP-0030 would use ‘xep_0030’.

  set_extended_info(jid=None, node=None, **kwargs)

    Set additional, extended identity information to a node.

    Replaces any existing extended information.

    Changed in version 1.8.0: This function now returns a Future.

    Parameters:

      - jid – The JID to modify.

      - node – The node to modify.

      - data – Either a form, or a list of forms to use as extended information, replacing any existing extensions.

    Return type:

      `Future`

## Internal API methods

add_extended_info

  - jid: JID to set the extended info for

  - node: note to set the info at

  - ifrom: unused

  - args: A `Form` or list of forms to add to the disco extended info for this JID/node.

  Add extended info for a JID/node.

set_extended_info

  - jid: JID to set the extended info for

  - node: note to set the info at

  - ifrom: unused

  - args: A `Form` or list of forms to set as the disco extended info for this JID/node.

  Set extended info for a JID/node.

del_extended_info

  - jid: JID to delete the extended info from

  - node: note to delete the info from

  - ifrom: unused

  - args: unused

  Delete extended info for a JID/node.